This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### () (parentheses)
Examples |
    int a;
    a = (4 + 3) * 2;       // Grouping expressions
    if (a > 10) {          // Containing expressions
      line(a, 0, a, 100);  // Containing a list of parameters
    }
Description | Grouping and containing expressions and parameters. Parentheses have multiple functions relating to functions and structures. They are used to contain a list of parameters passed to functions and control structures and they are used to group expressions to control the order of execution. Some functions have no parameters and in this case, the space between parentheses is blank.
Syntax |
    function()
    function(p1, ..., pN)
    structure(expression)
Parameters |
function | any function
p1, ..., pN | list of parameters specific to the function
structure | Control structure such as if, for, while
expressions | any valid expression or group of expression
Related | , (comma)

Updated on October 26, 2013 08:58:35pm PDT